Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231606 - kernel-devel missing tun source
Summary: kernel-devel missing tun source
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: powerpc
OS: Linux
medium
low
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-09 14:22 UTC by Joseph Sacco
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-18 00:21:23 UTC


Attachments (Terms of Use)

Description Joseph Sacco 2007-03-09 14:22:12 UTC
The kernel-devel package is a subset of the full kernel source to build kernel
modules. This subset does *not* contain the tun source

   drivers/net/tun.c
   drivers/net/tun.mod.c

Building Mac-On-Linux 

   http://sourceforge.net/projects/mac-on-linux

requires the tun source.


-Joseph

Comment 1 Dave Jones 2007-03-18 00:21:23 UTC
If this is the case, then mac-on-linux is broken.
There is absolutely no reason for shipping driver source as part of the includes.


Comment 2 Jon Masters 2007-03-18 01:04:41 UTC
What's it possibly need that source for? If it's just a regular tuntap user,
surely it can do what everyone else does and use /dev/net/tun with appropriate
ioctls - I can't see (without looking) what it needs to be doing so much.

Jon.


Comment 3 Joseph Sacco 2007-03-19 00:51:22 UTC
Dave & Jon,

Thanks for responding.  The short answer is "You are both correct".  

I took your comments seriously and exchanged some email with the current MOL
maintainer.  Once upon a time MOL built its own TUN driver. For 2.6.x series
kernels, this is no longer required or desirable.

My apologies for wasting your time.

-Joseph



Note You need to log in before you can comment on or make changes to this bug.